Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038592
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-05-22 13:192018-05-30 13:30
ReporteranderarangurenView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision3051b2973ec4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038592: Notice the user when a terminal is doing a full refresh in the Web POS

DescriptionNotice the user when a terminal is doing a full refresh in the Web POS
Steps To ReproduceLogin in a Web POS terminal and execute a full refresh.
See that is not noticing that process.
Proposed SolutionAttached mock-ups of how it should be displayed
TagsNo tags attached.
Attached Filespng file icon designdefect_full.png [^] (95,001 bytes) 2018-05-23 13:19


png file icon designdefect_incremental.png [^] (91,886 bytes) 2018-05-23 13:20

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104680)
hgbot (developer)
2018-05-24 18:35

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 3051b2973ec4a9529291ed6042e46078f6ffda71
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed May 23 12:57:07 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/3051b2973ec4a9529291ed6042e46078f6ffda71 [^]

Fixed issue 38592: Notice the user when a terminal is doing a full refresh in
the Web POS

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0104684)
hgbot (developer)
2018-05-24 23:05

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 1924b8c5335216dd0130bfa6cf00916da9760cd1
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Thu May 24 17:05:03 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1924b8c5335216dd0130bfa6cf00916da9760cd1 [^]

Related to issue 38592: Added new messages

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0104739)
marvintm (developer)
2018-05-28 10:45

Fix doesn't work as expected. Both when doing a full refresh and an incremental refresh, it shows "incremental".
(0104759)
hgbot (developer)
2018-05-28 23:19

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 89c5089150fca16b9704810ff1e53e2f93014d56
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon May 28 14:22:13 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/89c5089150fca16b9704810ff1e53e2f93014d56 [^]

Related issue 38592: Added OB.UTIL.showLoadingTitleMessage function

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0104761)
hgbot (developer)
2018-05-29 10:59

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f860af1ab15c48a0e163160a7ec10dce5fed09e0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue May 29 10:59:26 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f860af1ab15c48a0e163160a7ec10dce5fed09e0 [^]

Related to issue 38592. Cover also case of initial login/cache deletion

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0104763)
marvintm (developer)
2018-05-29 11:18

There are still problems with the fix:

- The fix has removed the "loading" label which was shown initially in the window. Now the window appears empty until the masterdata loading starts.
- When full refresh occurs, the window is now properly aligned, everything is moved too much to the bottom of the popup.
(0104790)
hgbot (developer)
2018-05-29 22:41

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 1648441388dc5fe5358ba2ae4d681e805931c0cf
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue May 29 12:42:43 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1648441388dc5fe5358ba2ae4d681e805931c0cf [^]

Related to issue 38592: Fixed text aling into popup and restored "loading..."
label shown initially in the window

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---

- Issue History
Date Modified Username Field Change
2018-05-22 13:19 anderaranguren New Issue
2018-05-22 13:19 anderaranguren Assigned To => Retail
2018-05-22 13:19 anderaranguren Triggers an Emergency Pack => No
2018-05-23 13:13 jfrances Issue Monitored: jfrances
2018-05-23 13:19 jorge-garcia File Added: designdefect_full.png
2018-05-23 13:20 jorge-garcia File Added: designdefect_incremental.png
2018-05-23 13:20 jorge-garcia Proposed Solution updated
2018-05-23 13:26 jorge-garcia Assigned To Retail => rqueralta
2018-05-23 17:35 rqueralta Status new => scheduled
2018-05-24 13:33 galderromo Issue Monitored: galderromo
2018-05-24 18:35 hgbot Checkin
2018-05-24 18:35 hgbot Note Added: 0104680
2018-05-24 18:35 hgbot Status scheduled => resolved
2018-05-24 18:35 hgbot Resolution open => fixed
2018-05-24 18:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/3051b2973ec4a9529291ed6042e46078f6ffda71 [^]
2018-05-24 23:05 hgbot Checkin
2018-05-24 23:05 hgbot Note Added: 0104684
2018-05-28 10:45 marvintm Note Added: 0104739
2018-05-28 10:45 marvintm Status resolved => new
2018-05-28 10:45 marvintm Resolution fixed => open
2018-05-28 23:19 hgbot Checkin
2018-05-28 23:19 hgbot Note Added: 0104759
2018-05-28 23:23 rqueralta Status new => scheduled
2018-05-28 23:26 rqueralta Status scheduled => resolved
2018-05-28 23:26 rqueralta Resolution open => fixed
2018-05-29 10:59 hgbot Checkin
2018-05-29 10:59 hgbot Note Added: 0104761
2018-05-29 11:18 marvintm Note Added: 0104763
2018-05-29 11:18 marvintm Status resolved => new
2018-05-29 11:18 marvintm Resolution fixed => open
2018-05-29 22:41 hgbot Checkin
2018-05-29 22:41 hgbot Note Added: 0104790
2018-05-29 22:42 rqueralta Status new => scheduled
2018-05-29 22:42 rqueralta Status scheduled => resolved
2018-05-29 22:42 rqueralta Resolution open => fixed
2018-05-30 13:30 marvintm Review Assigned To => marvintm
2018-05-30 13:30 marvintm Status resolved => closed
2018-05-30 13:30 marvintm Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker